Bug 9978 - Update GNU licenses header in Koha files from GPL2 to GPL3
Summary: Update GNU licenses header in Koha files from GPL2 to GPL3
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-02 21:46 UTC by Mason James
Modified: 2015-12-03 22:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 9978: Replace license header with the correct license (GPLv3+) (936.16 KB, patch)
2015-04-08 15:10 UTC, Jonathan Druart
Details | Diff | Splinter Review
Script used to replace (1.61 KB, application/x-perl)
2015-04-08 15:12 UTC, Jonathan Druart
Details
[SIGNED OFF] Bug 9978: Replace license header with the correct license (GPLv3+) (936.23 KB, patch)
2015-04-08 15:19 UTC, Chris Nighswonger
Details | Diff | Splinter Review
[SIGNED OFF] Bug 9978: Replace license header with the correct license (GPLv3+) (936.29 KB, patch)
2015-04-08 17:42 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 9978: Replace license header with the correct license (GPLv3+) (931.50 KB, patch)
2015-04-17 14:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED OFF] Bug 9978: Replace license header with the correct license (GPLv3+) (931.45 KB, patch)
2015-04-17 14:45 UTC, Chris Nighswonger
Details | Diff | Splinter Review
[PASSED QA] Bug 9978: Replace license header with the correct license (GPLv3+) (931.62 KB, patch)
2015-04-17 15:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 9978: (followup) Replace license header with the correct license (GPLv3+) (83.58 KB, patch)
2015-04-17 15:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9978: (followup 2) Replace license header with the correct license (GPLv3+) (21.70 KB, patch)
2015-04-17 15:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 9978: Replace license header with the correct license (GPLv3+) (931.69 KB, patch)
2015-04-17 16:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 9978: (followup) Replace license header with the correct license (GPLv3+) (83.50 KB, patch)
2015-04-17 16:27 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mason James 2013-04-02 21:46:37 UTC
many files in Koha still incorrectly cite the old GPL2+ license, not the current GPL3+ license

this OMNIBUS bug aims to track patches correcting this issue
Comment 1 Jonathan Druart 2015-04-08 15:10:46 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2015-04-08 15:12:08 UTC
Created attachment 37585 [details]
Script used to replace

perl license_replace.pl `git grep -l 'either version 2 of the License' | xargs`
Comment 3 Chris Nighswonger 2015-04-08 15:19:07 UTC Comment hidden (obsolete)
Comment 4 Tomás Cohen Arazi 2015-04-08 17:42:28 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2015-04-17 14:21:09 UTC
Hm, some of the files have since been removed - what's the best way to fix those conflicts?
Comment 6 Jonathan Druart 2015-04-17 14:30:08 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2015-04-17 14:30:36 UTC
(In reply to Katrin Fischer from comment #5)
> Hm, some of the files have since been removed - what's the best way to fix
> those conflicts?

It was just 3 deleted files. so git rm files.
Comment 8 Chris Nighswonger 2015-04-17 14:45:10 UTC Comment hidden (obsolete)
Comment 9 Chris Nighswonger 2015-04-17 14:45:52 UTC
Try it now.
Comment 10 Chris Nighswonger 2015-04-17 14:46:43 UTC
Sorry, I lost a signoff in that fix.
Comment 11 Katrin Fischer 2015-04-17 15:07:11 UTC Comment hidden (obsolete)
Comment 12 Jonathan Druart 2015-04-17 15:07:27 UTC Comment hidden (obsolete)
Comment 13 Jonathan Druart 2015-04-17 15:13:54 UTC Comment hidden (obsolete)
Comment 14 Jonathan Druart 2015-04-17 15:15:40 UTC
Comment on attachment 38085 [details] [review]
Bug 9978: (followup 2) Replace license header with the correct license (GPLv3+)

This one does not replace correctly.
Comment 15 Kyle M Hall 2015-04-17 16:27:18 UTC
Created attachment 38091 [details] [review]
[PASSED QA] Bug 9978: Replace license header with the correct license (GPLv3+)

Signed-off-by: Chris Nighswonger <cnighswonger@foundations.edu>
Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>

http://bugs.koha-community.org/show_bug.cgi?id=9987

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 16 Kyle M Hall 2015-04-17 16:27:25 UTC
Created attachment 38092 [details] [review]
[PASSED QA] Bug 9978: (followup) Replace license header with the correct license (GPLv3+)

There was another form of the v2.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 17 Tomás Cohen Arazi 2015-04-20 13:27:48 UTC
Patches pushed to master.

Thanks Jonathan!
Comment 18 Chris Cormack 2015-04-21 23:29:23 UTC
Pushed to 3.18.x will be in 3.18.6